import { DeviceEventEmitter } from 'react-native';
import { EventKeys } from '../enums';

/**
 * error callback function
 *
 * @param data - information error
 * */

/**
 * registered events type
 *
 */

class ReduxStorageEvetListinerImpl {
  static instance() {
    if (!ReduxStorageEvetListinerImpl._instance) {
      ReduxStorageEvetListinerImpl._instance = new ReduxStorageEvetListinerImpl();
    }
    return ReduxStorageEvetListinerImpl._instance;
  }
  _events = [];
  constructor() {}
  registerEvent(events) {
    if (typeof events !== 'object') {
      return;
    }
    Object.keys(events).forEach(e => {
      const subscriptions = DeviceEventEmitter.addListener(EventKeys[e], events[e]);
      this._events.push(subscriptions);
    });
  }
  destroyAll() {
    this._events.forEach(event => {
      event.remove();
    });
  }
}
export const ReduxStorageEvetListiner = ReduxStorageEvetListinerImpl.instance();
//# sourceMappingURL=redux-storage-evet-listiner.js.map